# OpenLayers.Format.WFST.v1_1_0

A format for creating WFS v1.1.0 transactions. Create a new instance with the OpenLayers.Format.WFST.v1_1_0 constructor.

#### Inherits from

- OpenLayers.Format.Filter.v1_1_0
- OpenLayers.Format.WFST.v1

Summary

OpenLayers.Format.WFST.v1_1_0 | A format for creating WFS v1.1.0 transactions.
Constructor |
OpenLayers.Format.WFST.v1_1_0 | A class for parsing and generating WFS v1.1.0 transactions.

### Constructor

### OpenLayers.Format.WFST.v1_1_0

A class for parsing and generating WFS v1.1.0 transactions.

To read additional information like hit count (numberOfFeatures) from the FeatureCollection, call the OpenLayers.Format.WFST.v1.read method with {output: “object”} as 2nd argument. Note that it is possible to just request the hit count from a WFS 1.1.0 server with the resultType=”hits” request parameter.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance.

#### Valid options properties

featureType | {String} Local (without prefix) feature typeName (required).
featureNS | {String} Feature namespace (optional).
featurePrefix | {String} Feature namespace alias (optional - only used if featureNS is provided). Default is ‘feature’.
geometryName | {String} Name of geometry attribute. Default is ‘the_geom’.

A class for parsing and generating WFS v1.1.0 transactions.
Write ogc:Filter version 1.1.0.
Superclass for WFST parsers.

> read: function( | data,
> | options | )

Parse the response from a transaction.
Close